package ink.wgink.login.base.pojo.dtos.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ConfigDTO
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2019/11/20 10:58
 * @Version: 1.0
 **/
@ApiModel
public class ConfigDTO implements Serializable {

    private static final long serialVersionUID = 7836736399579393607L;
    @ApiModelProperty(name = "configKey", value = "键名")
    private String configKey;
    @ApiModelProperty(name = "configValue", value = "键值")
    private String configValue;

    public String getConfigKey() {
        return configKey == null ? "" : configKey;
    }

    public void setConfigKey(String configKey) {
        this.configKey = configKey;
    }

    public String getConfigValue() {
        return configValue == null ? "" : configValue;
    }

    public void setConfigValue(String configValue) {
        this.configValue = configValue;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"configKey\":\"")
                .append(configKey).append('\"');
        sb.append(",\"configValue\":\"")
                .append(configValue).append('\"');
        sb.append('}');
        return sb.toString();
    }
}